-- MySQL Administrator dump 1.4
--
-- ------------------------------------------------------
-- Server version	5.7.18


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;


--
-- Create schema pruebas
--

-- CREATE DATABASE IF NOT EXISTS pruebas;
-- USE pruebas;


--
-- Definition of table `jsgrid_position`
--

DROP TABLE IF EXISTS `jsgrid_position`;
CREATE TABLE `jsgrid_position` (
  `id_jsgrid_position` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(50) NOT NULL,
  PRIMARY KEY (`id_jsgrid_position`),
  UNIQUE KEY `title_UNIQUE` (`title`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `jsgrid_position`
--

/*!40000 ALTER TABLE `jsgrid_position` DISABLE KEYS */;
INSERT INTO `jsgrid_position` (`id_jsgrid_position`,`title`) VALUES 
 (1,'CEO'),
 (5,'CMO'),
 (4,'Developer'),
 (6,'HR Manager'),
 (7,'IT Manager'),
 (2,'Sales Assistant'),
 (3,'Shipping Manager');
/*!40000 ALTER TABLE `jsgrid_position` ENABLE KEYS */;


--
-- Definition of table `jsgrid_person`
--

DROP TABLE IF EXISTS `jsgrid_person`;
CREATE TABLE `jsgrid_person` (
  `id_jsgrid_person` int(11) NOT NULL AUTO_INCREMENT,
  `firtName` varchar(50) NOT NULL,
  `lastName` varchar(100) NOT NULL,
  `jsgrid_position_id` int(11) NOT NULL,
  `birthDate` date NOT NULL,
  `hireDate` date NOT NULL,
  `picture` varchar(1000) NOT NULL,
  `annualSalary` decimal(9,2) NOT NULL,
  `capacities` varchar(500) NOT NULL,
  PRIMARY KEY (`id_jsgrid_person`),
  KEY `fk_jsgrid_person_jsgrid_position_idx` (`jsgrid_position_id`),
  CONSTRAINT `fk_jsgrid_person_jsgrid_position` FOREIGN KEY (`jsgrid_position_id`) REFERENCES `jsgrid_position` (`id_jsgrid_position`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `jsgrid_person`
--

/*!40000 ALTER TABLE `jsgrid_person` DISABLE KEYS */;
INSERT INTO `jsgrid_person` (`id_jsgrid_person`,`firtName`,`lastName`,`jsgrid_position_id`,`birthDate`,`hireDate`,`picture`,`annualSalary`,`capacities`) VALUES 
 (1,'Jhon','Heart',1,'1964-03-16','1995-01-15','[{\"name\":\"files\\/01_up8r3h1c.png\",\"usrName\":\"01.png\",\"size\":221383,\"type\":\"image\\/png\",\"searchStr\":\"01.png,!:sStrEnd\"}]','100000.00','<ul>\r\n<li>John has been in the Audio/Video industry since 1990.</li><li>He has led DevAv as its CEO since 2003.</li><li>When not working hard as the CEO, John loves to golf and bowl. He once bowled a perfect game of 300.</li>\r\n\r\n</ul>'),
 (2,'Olivia','Peyton',2,'1981-06-03','2012-05-14','[{\"name\":\"files\\/09_6y43suo1.png\",\"usrName\":\"09.png\",\"size\":200090,\"type\":\"image\\/png\",\"searchStr\":\"09.png,!:sStrEnd\"}]','75000.00',' <ul><li>Olivia loves to sell. </li><li>She has been selling DevAV products since 2012. </li><li>\r\n\r\n\r\n\r\nOlivia was homecoming queen in high school. </li><li>She is expecting her first child in 6 months. </li></ul><p class=\"employeeNotes\">Good Luck Olivia.</p>'),
 (3,'Kevin','Carter',3,'1978-01-09','2009-08-11','[{\"name\":\"files\\/kevin_uez66ubs.png\",\"usrName\":\"kevin.png\",\"size\":97275,\"type\":\"image\\/png\",\"searchStr\":\"kevin.png,!:sStrEnd\"}]','80000.00','<p>Esfuerzo y dedicaci&oacute;n</p>'),
 (4,'Robert','Reagan',5,'1974-09-07','2002-11-08','[{\"name\":\"files\\/03_66lp3l3x.png\",\"usrName\":\"03.png\",\"size\":146411,\"type\":\"image\\/png\",\"searchStr\":\"03.png,!:sStrEnd\"}]','65000.00',' <ul><li>Robert was recently voted the CMO of the year by CMO Magazine. </li><li>He is a proud member of the DevAV Management Team.\r\n</li><li>\r\n\r\n\r\nRobert is a championship BBQ chef, so when you get the chance ask him for his secret recipe.</li></ul>'),
 (5,'Greta','Wade',6,'1977-11-22','1998-04-23','[{\"name\":\"files\\/04_n9fu4oyf.png\",\"usrName\":\"04.png\",\"size\":212742,\"type\":\"image\\/png\",\"searchStr\":\"04.png,!:sStrEnd\"}]','85421.50','<ul><li>Greta has been DevAV\'s HR Manager since 2003. </li><li>She joined DevAV from Sonee Corp.\r\n\r\n\r\n\r\nGreta is currently training for the NYC marathon. </li><li>Her best marathon time is 4 hours. Go Greta.<br></li></ul>'),
 (6,'Brett','Wade',7,'1977-11-22','1998-04-23','[{\"name\":\"files\\/05_2l294dr9.png\",\"usrName\":\"05.png\",\"size\":197447,\"type\":\"image\\/png\",\"searchStr\":\"05.png,!:sStrEnd\"}]','55635.40','<ul><li>Brett came to DevAv from Microsoft and has led our IT department since 2012.</li><li>\r\n\r\n\r\n\r\nWhen he is not working hard for DevAV, he coaches Little League (he was a high school pitcher).<br></li></ul>');
/*!40000 ALTER TABLE `jsgrid_person` ENABLE KEYS */;



/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
